Subject: Re: [PATCH] [V2] powerpc: legacy_serial: reg-offset & shift aren't used

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 08 Jul 2008 08:00:04 +1000

> >  - First if the properties are present but their value match the
> > register layout of a standard UART, we will bail out... not nice.
> 
> Why would they be present in that case?

Why not ?

> >  - Why don't we just implement support for the reg-shift and
> > offset instead ?
> 
> Probably because the last time someone suggested that it spawned a
> lengthy debate about what reg-offset/shift were supposed to do.

That's lame, their definition is already quite there.

Ben.